function BDF_Menu () {

}

BDF_Menu.init = function () {
    var actionSelect = $("#JQ_ACTIONSELECT");
    actionSelect.change(BDF_Menu.doAction);
}

BDF_Menu.goToFiche = function (elLink,key) {
    var elSelect = $("#corpusSelect")[0];
    var option = elSelect.options[elSelect.selectedIndex];
    var corpus = option.value;
	
    if (key == "fiche_new") {
        elLink.href="Saisie?corpus=" + corpus + "&page=fiche-creation";
    }
    else {
        var elGoto = $("#goto_fiche")[0];
        var gotoId = parseInt(elGoto.value);
        if ((isNaN(gotoId)) || (gotoId < 1)) {
            alert(err_goto);
            return false;
        }
        if (key == "fiche_display") {
            elLink.href = "fiches/" + corpus + "-" + gotoId + ".html";
        }
        else if (key == "fiche_edit") {
            elLink.href= "Saisie?corpus=" + corpus + "&idcorpus=" + gotoId + "&page=fiche-modif";
        }
        else if (key == "fiche_index") {
            elLink.href= "Saisie?corpus=" + corpus + "&idcorpus=" + gotoId + "&page=fiche-indexation";
        }
    }
    return true;
}

BDF_Menu.doAction = function () {
    var option = this.options[this.selectedIndex];
    var value = option.value;
    if (value.length == 0) {
        return;
    }
    var idx = value.indexOf(':');
    var target = value.substr(0, idx);
    var url = value.substr(idx+1);
    if (!parent[target]) {
        alert("Unknown target : " + target);
        return;
    }
    var redoSpan = $("#JQ_REDOSPAN");
    redoSpan.empty();
    var aEl = $('<a/>').appendTo(redoSpan).attr("class", "Icon").attr("href", url).attr("target", target).text(" " + option.text);
    var iconSrc = "theme/icons/16x16/menu_link_currentaction.png";
    var currentImage = option.style.backgroundImage;
    if ((currentImage) && (currentImage.length > 0)) {
        iconSrc = BDF_Menu.getUrl(currentImage);
    }
    $('<img>').prependTo(aEl).attr("alt", "").attr("width", "16").attr("height", 16).attr("src", iconSrc);
    parent[target].document.location = url;
    this.selectedIndex = 0;
}

BDF_Menu.getUrl = function (cssUrl) {
    var idx1 = cssUrl.indexOf('(');
    if (idx1 == -1) return cssUrl;
    var idx2 = cssUrl.lastIndexOf(')');
    cssUrl = cssUrl.substring(idx1 +1, idx2);
    idx1 = cssUrl.indexOf('\"');
    if (idx1 > -1) {
        idx2 = cssUrl.lastIndexOf('\"');
        return cssUrl.substring(idx1 +1, idx2);
    }
    idx1 = cssUrl.indexOf('\'');
    if (idx1 > -1) {
        idx2 = cssUrl.lastIndexOf('\'');
        return cssUrl.substring(idx1 +1, idx2);
    }
    return cssUrl;
}

$(function () {
    BDF_Menu.init();
});